| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2217A.ino File Reference
Transceivers » LTC4316: Single/Dual I2C SMBUS ADDRESS REMAPPER

Library for LTC4316: Single/Dual I2C SMBUS ADDRESS REMAPPER. More...

## Detailed Description

Library for LTC4316: Single/Dual I2C SMBUS ADDRESS REMAPPER.

Definition in file DC2217A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino Loop. More...
static void | print_title ()
| Print the title block. More...
static void | print_prompt ()
| Print the main menu prompt. More...
static void | menu_1_scan_addresses ()
| Scan I2C Bus for addresses. More...
static uint8_t | menu_2_DAC ()
| DAC Control Menu. More...

## Variables
static int8_t | demo_board_connected
| Set to 1 if the board is connected. More...
const char | ack_error [] = "Error: No Acknowledge. Check I2C Address."
| Error message. More...
const int | LTC4316_OFFSET = 0x78
| Demoboard offset. More...
const int | LTC2631_GLOBAL_ADDRESS = 0x73
| Global address of LTC2631 DAC. More...
const int | LTC2631_JP_ADDRESS_1 = 0x12
| Jumper Setting 1 on Demoboard. More...
const int | LTC2631_JP_ADDRESS_2 = 0x11
| Jumper Setting 2 on Demoboard. More...
const int | LTC2631_JP_ADDRESS_3 = 0x10
| Jumper Setting 3 on Demoboard. More...
const int | EEPROM_ADDRESS = 0x50
| EEPROM Address on Demoboard. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino Loop.

Definition at line 123 of file DC2217A.ino.

## ◆ menu_1_scan_addresses()

static void menu_1_scan_addresses | ( |  | ) |
| static

Scan I2C Bus for addresses.

Definition at line 184 of file DC2217A.ino.

## ◆ menu_2_DAC()

static uint8_t menu_2_DAC | ( |  | ) |
| static

DAC Control Menu.

Definition at line 252 of file DC2217A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Print the main menu prompt.

Definition at line 175 of file DC2217A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Print the title block.

Definition at line 161 of file DC2217A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 103 of file DC2217A.ino.

## Variable Documentation

## ◆ ack_error

const char ack_error[] = "Error: No Acknowledge. Check I2C Address."

Error message.

Definition at line 93 of file DC2217A.ino.

## ◆ demo_board_connected

int8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 91 of file DC2217A.ino.

## ◆ EEPROM_ADDRESS

const int EEPROM_ADDRESS = 0x50

EEPROM Address on Demoboard.

Definition at line 100 of file DC2217A.ino.

## ◆ LTC2631_GLOBAL_ADDRESS

const int LTC2631_GLOBAL_ADDRESS = 0x73

Global address of LTC2631 DAC.

Definition at line 96 of file DC2217A.ino.

## ◆ LTC2631_JP_ADDRESS_1

const int LTC2631_JP_ADDRESS_1 = 0x12

Jumper Setting 1 on Demoboard.

Definition at line 97 of file DC2217A.ino.

## ◆ LTC2631_JP_ADDRESS_2

const int LTC2631_JP_ADDRESS_2 = 0x11

Jumper Setting 2 on Demoboard.

Definition at line 98 of file DC2217A.ino.

## ◆ LTC2631_JP_ADDRESS_3

const int LTC2631_JP_ADDRESS_3 = 0x10

Jumper Setting 3 on Demoboard.

Definition at line 99 of file DC2217A.ino.

## ◆ LTC4316_OFFSET

const int LTC4316_OFFSET = 0x78

Demoboard offset.

Change to correct value if EXT offset if chosen.

Definition at line 95 of file DC2217A.ino.